## swift 2.19.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dnspython>=1.14.0;python_version=='2.7'  # http://www.dnspython.org/LICENSE
eventlet>=0.17.4,!=0.23.0  # MIT
greenlet>=0.3.1
netifaces>=0.5,!=0.10.0,!=0.10.1
PasteDeploy>=1.3.3
lxml>=3.4.1
requests>=2.14.2 # Apache-2.0
six>=1.9.0
xattr>=0.4
PyECLib>=1.3.1                          # BSD
cryptography!=2.0,>=1.6                 # BSD/Apache-2.0
ipaddress>=1.0.16;python_version<'3.3'          # PSF

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx>=1.6.2 # BSD
openstackdocstheme>=1.11.0 # Apache-2.0
reno>=1.8.0  # Apache-2.0
os-api-ref>=1.0.0 # Apache-2.0

=== debian/changelog ===
swift (2.19.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Ondřej Nový <onovy@debian.org>  Tue, 26 Feb 2019 11:53:35 +0100

swift (2.19.0-6) unstable; urgency=medium

  * Object decryption fix patch:
    - Add a warning in the logs if path is different in
      put_crypto_meta['key_id']['path'] and put_keys['id']['path']).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Feb 2019 13:38:08 +0100

swift (2.19.0-5) unstable; urgency=medium

  * Fix decryption of objects that sometimes is wrong.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 20:48:22 +0100

swift (2.19.0-3) unstable; urgency=medium

  * Add Breaks of older systemd without CacheDirectory support
  * Rename d/tests/control.autodep8 to d/tests/control.
  * d/copyright: Bump my copyright year.
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 17:41:50 +0100

swift (2.19.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Bump Standards-Version to 4.2.1

 -- Ondřej Nový <onovy@debian.org>  Wed, 05 Sep 2018 12:24:08 +0200

swift (2.19.0-1) experimental; urgency=medium

  * New upstream release
  * d/p/syslog_log_name.patch: Rebased
  * Add python-ipaddress to B-D and D
  * Add swift-ring-composer CLI

 -- Ondřej Nový <onovy@debian.org>  Wed, 22 Aug 2018 14:30:40 +0200

swift (2.18.0-1) experimental; urgency=medium

  * New upstream release
  * d/p/Fix_tests_using_O_TMPFILE.patch: Drop, applied upstream
  * d/p/syslog_log_name.patch: Rebased
  * Fix B-D for new upstream release
  * Add swift-object-relinker manpage
  * Add swift-container-sharder daemon and swift-manage-shard-ranges CLI
  * Enable autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 15:32:05 +0200

swift (2.17.0-5) unstable; urgency=medium

  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Don't use has_key, which is deprecated (Closes: #906413)
  * Really build docs with Python 3
  * Use LC_ALL=C.UTF-8 when building docs
  * Use SOURCE_DATE_EPOCH in docs to make build reproducible (again)
  * Bump standards version to 4.2.0 (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 11:49:41 +0200

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-exec,
 dh-python,
 openstack-pkg-tools (>= 57~),
 python-all,
 python-pbr,
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-boto,
 python-coverage,
 python-cryptography,
 python-dnspython,
 python-eventlet,
 python-fixtures (>= 3.0.0),
 python-greenlet,
 python-ipaddress,
 python-keystoneclient,
 python-keystonemiddleware (>= 4.17.0),
 python-lxml,
 python-mock,
 python-netifaces,
 python-nose,
 python-nose-exclude,
 python-nosehtmloutput,
 python-nosexcover,
 python-openssl,
 python-openstack.nose-plugin,
 python-openstackclient,
 python-os-testr (>= 0.8.0),
 python-pastedeploy,
 python-pyeclib,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six,
 python-swiftclient,
 python-xattr,
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-api-ref (>= 1.0.0),
 python3-oslosphinx,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift.git
Homepage: https://github.com/openstack/swift
Testsuite: autopkgtest-pkg-python

Package: python-swift
Architecture: all
Section: python
Depends:
 adduser,
 python-cryptography,
 python-dnspython,
 python-eventlet,
 python-greenlet,
 python-ipaddress,
 python-netifaces,
 python-openssl,
 python-pastedeploy,
 python-pyeclib,
 python-six,
 python-xattr,
 ${misc:Depends},
 ${python:Depends},
Breaks:
 systemd (<< 235~),
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends:
 logrotate,
 python-swift (=${binary:Version}),
 rsyslog,
 ${misc:Depends},
 ${python:Depends},
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Depends:
 lsb-base,
 python-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Depends:
 lsb-base,
 python-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-underscore,
 python-os-api-ref-common,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-drive-audit
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: distributed virtual object store - drive audit
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift drive audit tool.

Package: swift-object
Architecture: all
Depends:
 lsb-base,
 python-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-object-expirer
Architecture: all
Depends:
 lsb-base (>= 3.0-6),
 python-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -f debian/*.upstart
	rm -f debian/*.init
	rm -f debian/*.service
	rm -f debian/python-swift.postinst
	rm -f $(CURDIR)/swift-test.conf

# build with sphinx documentation
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	dh_auto_build
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/base
	LC_ALL=C.UTF-8 PYTHONPATH=. python3 -m sphinx api-ref/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/api-ref
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	echo "[unit_test]\nfake_syslog = True" > $(CURDIR)/swift-test.conf
	SWIFT_TEST_CONFIG_FILE=$(CURDIR)/swift-test.conf PYTHONPATH=. nosetests -v test/unit --exe \
		--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing
	rm -f $(CURDIR)/swift-test.conf
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python-swift.postinst

override_dh_install:
	rm debian/tmp/usr/bin/swift-init

	# Create the init scripts and systemd unit files from the template
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed s/.init.in//` ; \
		cp $$i $$MYINIT.init ; \
		cat debian/init-script-template >>$$MYINIT.init ; \
		debian/gen-systemd-unit $$i ; \
	done

	dh_install
	rm -rf debian/python-swift/usr/lib/python*/dist-packages/test

gen-init-configurations:
	# Create the init scripts and systemd unit files from the template
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed s/.init.in//` ; \
		cp $$i $$MYINIT.init ; \
		cat debian/init-script-template >>$$MYINIT.init ; \
		debian/gen-systemd-unit $$i ; \
	done

override_dh_systemd_enable: gen-init-configurations
	echo "Do nothing"

override_dh_systemd_start:
	echo "Do nothing"

override_dh_installinit: gen-init-configurations
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed -e s/.init.in// -e s:debian/::` ; \
		INITPKG=`echo $$MYINIT | cut -d. -f1` ; \
		INITNAME=`echo $$MYINIT | cut -d. -f2` ; \
		echo "Package: $$INITPKG Init: $$INITNAME" ; \
		dh_systemd_enable -p$$INITPKG --name=$$INITNAME ; \
		case $$INITNAME in \
		swift-object-expirer|swift-container-reconciler) \
			dh_installinit --error-handler=true --restart-after-upgrade -p$$INITPKG --name=$$INITNAME ;; \
		*) \
			dh_installinit --error-handler=true --restart-after-upgrade -p$$INITPKG --name=$$INITNAME ; \
			cp debian/$$INITPKG.$$INITNAME@.service debian/$$INITPKG/lib/systemd/system/$$INITNAME@.service ;; \
		esac ; \
		dh_systemd_start -p$$INITPKG --name=$$INITNAME ; \
	done

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A AUTHORS

override_dh_missing:
	dh_missing --fail-missing

## swift 2.19.2

=== debian/changelog ===
swift (2.19.2-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New stable point release for OpenStack Rocky (LP: #1853320).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jan 2020 15:41:41 -0500

swift (2.19.1-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2019 15:18:26 +0000

swift (2.19.1-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.
  * New stable point release for OpenStack Rocky (LP: #1818068).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Feb 2019 15:48:01 -0500

## swift 2.21.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 openstackdocstheme>=1.11.0 # Apache-2.0
 reno>=1.8.0  # Apache-2.0
 os-api-ref>=1.0.0 # Apache-2.0
+python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0

=== debian/changelog ===
swift (2.21.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 08 Apr 2019 09:13:45 +0100

swift (2.20.0-0ubuntu2) disco; urgency=medium

  * d/control: Add python-keystonemiddleware to Depends (LP: #1815093).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Feb 2019 15:05:35 -0500

swift (2.20.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 12:43:00 -0500

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders:
 Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>,
 Michael Barton <michael.barton@rackspace.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 libjerasure2,
 python-bandit (>= 1.1.0),
 python-boto (>= 2.32.1),
 python-cffi,
 python-coverage (>= 3.6),
 python-cryptography (>= 1.9),
 python-dnspython (>= 1.14.0),
 python-docutils (>= 0.11),
 python-eventlet (>= 0.17.4),
 python-fixtures (>= 3.0.0),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.11.0),
 python-ipaddress (>= 1.0.16),
 python-keystoneclient (>= 1:2.0.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-mock (>= 2.0),
 python-netifaces (>= 0.5),
 python-nose (>= 1.3.7),
 python-nosexcover (>= 1.0.10),
 python-nosehtmloutput (>= 0.0.3),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-api-ref (>= 1.0.0),
 python-os-testr (>= 1.0.0),
 python-pastedeploy (>= 1.3.3),
 python-pyeclib (>= 1.3.1),
 python-reno (>= 1.8.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six (>= 1.9.0),
 python-swiftclient (>= 1:3.2.0),
 python-xattr (>= 0.4),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/swift
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
Testsuite: autopkgtest-pkg-python

Package: python-swift
Architecture: all
Section: python
Depends:
 adduser,
 libjerasure2,
 python-cryptography (>= 1.9),
 python-dnspython (>= 1.14.0),
 python-eventlet (>= 0.17.4),
 python-greenlet (>= 0.4.10),
 python-ipaddress (>= 1.0.16),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-netifaces (>= 0.5),
 python-pastedeploy (>= 1.3.3),
 python-pyeclib (>= 1.3.1),
 python-requests (>= 2.14.2),
 python-six (>= 1.9.0),
 python-xattr (>= 0.4),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Suggests:
 swift-bench,
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-object
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-object-expirer
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
 swift-object (<< 1.12.0-0ubuntu2),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
 swift-object (<< 1.12.0-0ubuntu2),
Description: distributed virtual object store - object expirer
 OpenStack Object Storage (code-named Swift) is open source software for

## swift 2.21.1

=== debian/changelog ===
swift (2.21.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/gbp.conf: Create stable/stein branch.
  * New stable point release for OpenStack Stein (LP: #1858934).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Jan 2020 08:48:39 -0500

swift (2.21.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 08 Apr 2019 14:29:45 +0000

## swift 2.22.0~b1~git2019061305.aa2f1db1b

=== debian/changelog ===
swift (2.22.0~b1~git2019061305.aa2f1db1b-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/swift-container.install: Wildcard install of swift-container-*
    binaries.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 15:13:13 +0100

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,10 @@
  libjerasure2,
  python-bandit (>= 1.1.0),
  python-boto (>= 2.32.1),
+ python-boto3 (>= 1.9),
  python-cffi,
  python-coverage (>= 3.6),
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.0.2),
  python-dnspython (>= 1.14.0),
  python-docutils (>= 0.11),
  python-eventlet (>= 0.17.4),
@@ -38,8 +39,8 @@
  python-mock (>= 2.0),
  python-netifaces (>= 0.5),
  python-nose (>= 1.3.7),
+ python-nosehtmloutput (>= 0.0.3),
  python-nosexcover (>= 1.0.10),
- python-nosehtmloutput (>= 0.0.3),
  python-openstackclient (>= 3.12.0),
  python-openstackdocstheme (>= 1.17.0),
  python-os-api-ref (>= 1.0.0),
@@ -64,7 +65,7 @@
 Depends:
  adduser,
  libjerasure2,
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.0.2),
  python-dnspython (>= 1.14.0),
  python-eventlet (>= 0.17.4),
  python-greenlet (>= 0.4.10),

## swift 2.22.0~b1~git2019071110.e62f07d98

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dnspython>=1.14.0;python_version=='2.7' # http://www.dnspython.org/LICENSE
eventlet>=0.17.4,!=0.23.0               # MIT
greenlet>=0.3.1
netifaces>=0.8,!=0.10.0,!=0.10.1
PasteDeploy>=1.3.3
lxml>=3.4.1
requests>=2.14.2                        # Apache-2.0
six>=1.9.0
xattr>=0.4;sys_platform!='win32'        # MIT
PyECLib>=1.3.1                          # BSD
cryptography>=2.0.2                     # BSD/Apache-2.0
ipaddress>=1.0.16;python_version<'3.3'  # PSF

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.30.0 # Apache-2.0
reno>=1.8.0  # Apache-2.0
os-api-ref>=1.0.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0

=== debian/changelog ===
swift (2.22.0~b1~git2019071110.e62f07d98-0ubuntu3) eoan; urgency=medium

  * d/rules: Use pkgos-dh_auto_install to install Python 3 modules.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Jul 2019 11:48:40 -0400

swift (2.22.0~b1~git2019071110.e62f07d98-0ubuntu2) eoan; urgency=medium

  * d/control: Restore python-setuptools BDI for UCA backport.
  * d/p/skip-test-local-py36.patch, d/control: Skip locale test for Python
    3.6 as locale is not available by default in build environment.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jul 2019 14:05:49 -0400

swift (2.22.0~b1~git2019071110.e62f07d98-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control, d/rules, d/python(3)-swift*: Add support for Python 3
    and remove support for Python 2.
  * d/p/drop-ipaddress-requirement.patch: Drop ipaddress from requirements.txt.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jul 2019 10:14:31 -0400

=== debian/control ===
--- 
+++ 
@@ -14,110 +14,110 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools (>= 23~),
- python-all,
- python-pbr,
  python-setuptools,
- python-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  libjerasure2,
- python-bandit (>= 1.1.0),
- python-boto (>= 2.32.1),
- python-boto3 (>= 1.9),
- python-cffi,
- python-coverage (>= 3.6),
- python-cryptography (>= 2.0.2),
- python-dnspython (>= 1.14.0),
- python-docutils (>= 0.11),
- python-eventlet (>= 0.17.4),
- python-fixtures (>= 3.0.0),
- python-greenlet (>= 0.4.10),
- python-hacking (>= 0.11.0),
- python-ipaddress (>= 1.0.16),
- python-keystoneclient (>= 1:2.0.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-mock (>= 2.0),
- python-netifaces (>= 0.5),
- python-nose (>= 1.3.7),
- python-nosehtmloutput (>= 0.0.3),
- python-nosexcover (>= 1.0.10),
- python-openstackclient (>= 3.12.0),
- python-openstackdocstheme (>= 1.17.0),
- python-os-api-ref (>= 1.0.0),
- python-os-testr (>= 1.0.0),
- python-pastedeploy (>= 1.3.3),
- python-pyeclib (>= 1.3.1),
- python-reno (>= 1.8.0),
- python-requests (>= 2.14.2),
- python-requests-mock (>= 1.2.0),
- python-six (>= 1.9.0),
- python-swiftclient (>= 1:3.2.0),
- python-xattr (>= 0.4),
+ python3-bandit (>= 1.1.0),
+ python3-boto (>= 2.32.1),
+ python3-boto3 (>= 1.9),
+ python3-cffi,
+ python3-coverage (>= 3.6),
+ python3-cryptography (>= 2.0.2),
+ python3-dnspython (>= 1.14.0),
+ python3-docutils (>= 0.11),
+ python3-eventlet (>= 0.17.4),
+ python3-fixtures (>= 3.0.0),
+ python3-greenlet (>= 0.4.10),
+ python3-hacking (>= 0.11.0),
+ python3-keystoneclient (>= 1:2.0.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-lxml (>= 3.4.1),
+ python3-mock (>= 2.0),
+ python3-netifaces (>= 0.5),
+ python3-nose (>= 1.3.7),
+ python3-nosehtmloutput (>= 0.0.3),
+ python3-nosexcover (>= 1.0.10),
+ python3-openstackclient (>= 3.12.0),
+ python3-openstackdocstheme (>= 1.17.0),
+ python3-os-api-ref (>= 1.0.0),
+ python3-os-testr (>= 1.0.0),
+ python3-pastedeploy (>= 1.3.3),
+ python3-pyeclib (>= 1.3.1),
+ python3-reno (>= 1.8.0),
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.9.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-testtools,
+ python3-xattr (>= 0.4),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/swift
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
 Testsuite: autopkgtest-pkg-python
 
-Package: python-swift
+Package: python3-swift
 Architecture: all
 Section: python
 Depends:
  adduser,
  libjerasure2,
- python-cryptography (>= 2.0.2),
- python-dnspython (>= 1.14.0),
- python-eventlet (>= 0.17.4),
- python-greenlet (>= 0.4.10),
- python-ipaddress (>= 1.0.16),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-netifaces (>= 0.5),
- python-pastedeploy (>= 1.3.3),
- python-pyeclib (>= 1.3.1),
- python-requests (>= 2.14.2),
- python-six (>= 1.9.0),
- python-xattr (>= 0.4),
- ${misc:Depends},
- ${python:Depends},
-Provides:
- ${python:Provides},
-Breaks:
- swift (<< 1.13.1~rc1-0ubuntu1~),
-Replaces:
- swift (<< 1.13.1~rc1-0ubuntu1~),
-Description: distributed virtual object store - Python libraries
- OpenStack Object Storage (code-named Swift) is open source software for
- creating redundant, scalable object storage using clusters of standardized
- servers to store petabytes of accessible data. It is not a file system or
- real-time data storage system, but rather a long-term storage system for a
- more permanent type of static data that can be retrieved, leveraged, and then
- updated if necessary. Primary examples of data that best fit this type of
- storage model are virtual machine images, photo storage, email storage and
- backup archiving. Having no central "brain" or master point of control
- provides greater scalability, redundancy and permanence.
- .
- Objects are written to multiple hardware devices in the data center, with
- the OpenStack software responsible for ensuring data replication and
- integrity across the cluster. Storage clusters can scale horizontally by
- adding new nodes. Should a node fail, OpenStack works to replicate its
- content from other active nodes. Because OpenStack uses software logic to
- ensure data replication and distribution across different devices,
- inexpensive commodity hard drives and servers can be used in lieu of more
- expensive equipment.
- .
- This package provides the Python libraries that actually implement
+ python3-cryptography (>= 2.0.2),
+ python3-dnspython (>= 1.14.0),
+ python3-eventlet (>= 0.17.4),
+ python3-greenlet (>= 0.4.10),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-lxml (>= 3.4.1),
+ python3-netifaces (>= 0.5),
+ python3-pastedeploy (>= 1.3.3),
+ python3-pyeclib (>= 1.3.1),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.9.0),
+ python3-xattr (>= 0.4),
+ ${misc:Depends},
+ ${python3:Depends},
+Provides:
+ ${python3:Provides},
+Breaks:
+ swift (<< 1.13.1~rc1-0ubuntu1~),
+Replaces:
+ swift (<< 1.13.1~rc1-0ubuntu1~),
+Description: distributed virtual object store - Python 3 libraries
+ OpenStack Object Storage (code-named Swift) is open source software for
+ creating redundant, scalable object storage using clusters of standardized
+ servers to store petabytes of accessible data. It is not a file system or
+ real-time data storage system, but rather a long-term storage system for a
+ more permanent type of static data that can be retrieved, leveraged, and then
+ updated if necessary. Primary examples of data that best fit this type of
+ storage model are virtual machine images, photo storage, email storage and
+ backup archiving. Having no central "brain" or master point of control
+ provides greater scalability, redundancy and permanence.
+ .
+ Objects are written to multiple hardware devices in the data center, with
+ the OpenStack software responsible for ensuring data replication and
+ integrity across the cluster. Storage clusters can scale horizontally by
+ adding new nodes. Should a node fail, OpenStack works to replicate its
+ content from other active nodes. Because OpenStack uses software logic to
+ ensure data replication and distribution across different devices,
+ inexpensive commodity hard drives and servers can be used in lieu of more
+ expensive equipment.
+ .
+ This package provides the Python 3 libraries that actually implement
  everything.
 
 Package: swift
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ python3-swift (=${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Suggests:
  swift-bench,
 Description: distributed virtual object store - common files
@@ -145,13 +145,13 @@
 Package: swift-account
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
+ python3-swift (=${binary:Version}),
  rsync,
  ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Breaks:
  swift (<< 1.13.1~rc1-0ubuntu1~),
 Replaces:
@@ -181,13 +181,13 @@
 Package: swift-container
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
+ python3-swift (=${binary:Version}),
  rsync,
  ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Breaks:
  swift (<< 1.13.1~rc1-0ubuntu1~),
 Replaces:
@@ -245,13 +245,13 @@
 Package: swift-object
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
+ python3-swift (=${binary:Version}),
  rsync,
  ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Breaks:
  swift (<< 1.13.1~rc1-0ubuntu1~),
 Replaces:
@@ -281,12 +281,12 @@
 Package: swift-object-expirer
 Architecture: all
 Depends:
- python-swift (=${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Provides:
- ${python:Provides},
+ python3-swift (=${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${python3:Provides},
 Breaks:
  swift (<< 1.13.1~rc1-0ubuntu1~),
  swift-object (<< 1.12.0-0ubuntu2),
@@ -294,4 +294,3 @@
  swift (<< 1.13.1~rc1-0ubuntu1~),
  swift-object (<< 1.12.0-0ubuntu2),
 Description: distributed virtual object store - object expirer
- OpenStack Object Storage (code-named Swift) is open source software for

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf doc/build

# build with sphinx documentation
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. nosetests3 test/unit
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp
	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/swift-object/etc/swift/object-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-expirer.conf $(CURDIR)/debian/swift-object-expirer/etc/swift/object-expirer.conf

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit --no-start -pswift-container --name=swift-container-replicator
	dh_installinit --no-start -pswift-container --name=swift-container-auditor
	dh_installinit --no-start -pswift-container --name=swift-container-updater
	dh_installinit --no-start -pswift-container --name=swift-container-sync
	dh_installinit --no-start -pswift-account --name=swift-account-replicator
	dh_installinit --no-start -pswift-account --name=swift-account-auditor
	dh_installinit --no-start -pswift-account --name=swift-account-reaper
	dh_installinit --no-start -pswift-object --name=swift-object-replicator
	dh_installinit --no-start -pswift-object --name=swift-object-auditor
	dh_installinit --no-start -pswift-object --name=swift-object-updater
	dh_installinit --no-start -pswift-object --name=swift-object-reconstructor

override_dh_compress:
	dh_compress -Xconf-sample

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
 https://tarballs.openstack.org/swift/ swift-(\d.*).tar.gz

## swift 2.23.0

=== debian/changelog ===
swift (2.23.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 11:26:04 -0400

swift (2.22.0-0ubuntu2) eoan; urgency=medium

  * d/control: Add Breaks/Replaces on python-swift to ensure that
    upgrades from py2->py3 are handled correctly (LP: #1847576).

 -- James Page <james.page@ubuntu.com>  Thu, 10 Oct 2019 12:04:12 +0100

swift (2.22.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 15:15:04 +0100

swift (2.22.0~b2~git2019073018.d33e569be-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:52:11 +0200
